Number.prototype.padZero = function (size) {
    var s = String(this);
    while (s.length < (size || 2)) {
        s = "0" + s;
    }
    return s;
};
Number.prototype.format = function (separator = ',') {
    try {
        var parts = this.toString().split(".");
        parts[0] = parts[0].replace(/\B(?=(\d{3})+(?!\d))/g, separator);
        return parts.join(".");
    } catch (e) {
        log(e);
        return this;
    }
};